# `@crossmint/client-sdk-react-ui`

## You can check the full documentation at [docs.crossmint.com](https://docs.crossmint.com/)

---

If you're using React.js, or Next.js, Crossmint provides a client integration specific for you.

## Quick Setup

First, add the Crossmint Client SDK to your project with the following command:

```shell
yarn add @crossmint/client-sdk-react-ui
```

### Add payment button to your site

Check our dedicated section for payments [in the docs](https://docs.crossmint.com/docs/integration-guide).

---

### Wallet UI Components

We offer two components to help you quickly get up and running with your project using Crossmint wallets:

-   `CrossmintNFTCollectionView` - Display a grid of NFTs.
    ![Wallet Collection Component](https://user-images.githubusercontent.com/20989060/223705873-79197f38-4fb6-4773-98b9-82ef80f24aef.png)

-   `CrossmintNFTDetail` - Display a card showing all NFT related details.
    ![NFT Detail Component](https://user-images.githubusercontent.com/20989060/223704647-8b99ae40-6ebf-4cd6-bc20-c41c5fd13db0.png)

Visit [our documentation](https://docs.crossmint.com/docs/wallet-ui-components) for integration instructions.

## Migration guide to 0.1.X versions

Version 0.1.0 introduces breaking changes. To learn how to migrate from a version lower than 0.1.0, [check out the migration guide](https://docs.google.com/document/d/14IKpjrij7kU7Dr0I7rZkf0PyDNbXiklx2v4GuzUrFbw/edit?usp=sharing).

## [Changelog](https://docs.google.com/document/d/e/2PACX-1vR5NzVS2msrCMZxlcfBgAT-Y8kAypeKqH_WBeNiwVTmyEzLZvJBWrKrz_966-d3jumwIBi94IXGT6Wp/pub)

## Migration guide to 0.2.X versions

Version 0.2.0 introduces breaking changes. To learn how to migrate from a version lower than 0.2.0, [check out the migration guide](https://docs.google.com/document/d/1mA0W-iAs0nHHW0ANX0TfZ5qrzxPGxNchPj13W6cHc-Y/edit?usp=sharing).
